Rename / Move
Rename or move a file/directory inside the webspace home. Both from and to must be inside ~/.
Rename or move a file/directory inside the webspace home. Both from and to must be inside ~/.
Required scope: webspace:manage
| Header | Required | Value |
|---|---|---|
Authorization |
Yes | Bearer YOUR_API_KEY |
Content-Type |
Yes | application/json |
| Parameter | Required | Description |
|---|---|---|
from |
Yes | Source path. |
to |
Yes | Destination path. |
{ "data": { "from": "/home/ws_0862c/a.txt", "to": "/home/ws_0862c/b.txt", "renamed": true } }
curl -X POST https://hosting.site.quest/api/v1/webspaces/69e80ac1.../sftp/rename \
-H "Authorization: Bearer sq_live_..." \
-H "Content-Type: application/json" \
-d '{ "from": "/home/ws_0862c/a.txt", "to": "/home/ws_0862c/b.txt" }'
This action is also available via the webspace_rename MCP tool.